%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global srcname kmymoney2
%global enable_gcc_check_and_hidden_visibility 0

Summary: Personal finance manager for KDE
Name: kmymoney
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kmymoney2.sourceforge.net/
Group: Applications/Productivity
Source0: http://dl.sourceforge.net/sourceforge/%{srcname}/%{srcname}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-1.0.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: sqlite
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: cppunit-devel
BuildPreReq: curl-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: ghostscript
BuildPreReq: gzip
BuildPreReq: html2ps
BuildPreReq: libofx-devel >= 0.9.1
BuildPreReq: libxml2-devel
BuildPreReq: openjade
BuildPreReq: sqlite-devel

%description
KMyMoney is striving to be a full-featured replacement for your
Windows-based finance software.  We are a full double-entry accounting
software package, for personal or small-business use.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

# to generate pdf help documentation
export LANG=en_US.UTF-8

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--enable-ofxplugin \
	--enable-ofxbanking \
	--enable-pdf-docs \
	--enable-sqlite3 \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

## make -j16 fails, 1.0.0-2m
# make %%{?_smp_mflags}
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kmymoney2.png %{buildroot}%{_datadir}/pixmaps/kmymoney2.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kmymoney2.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL README* TODO
%{_bindir}/kmymoney
%{_bindir}/kmymoney2
%{_includedir}/kde/kmymoney
%{_libdir}/kde3/kmm_ofximport.la
%{_libdir}/kde3/kmm_ofximport.so
%{_libdir}/libkmm_*.la
%{_libdir}/libkmm_*.so*
%{_libdir}/qt3/plugins/sqldrivers/libsqlite3*.so
%{_datadir}/applications/kde/kmymoney2.desktop
%{_datadir}/apps/kmm_ofximport
%{_datadir}/apps/kmymoney2
%{_datadir}/config.kcfg/kmymoney2.kcfg
%{_datadir}/doc/HTML/*/kmymoney2
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/kmymoney2.mo
%{_mandir}/man1/kmymoney2.1*
%{_datadir}/mimelnk/application/x-kmymoney2.desktop
%{_datadir}/pixmaps/kmymoney2.png
%{_datadir}/services/kmm_ofximport.desktop
%{_datadir}/servicetypes/kmymoney*.desktop

%changelog
* Sun Oct  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Sun Sep 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.1-2m)
- rebuild against libjpeg-7

* Sat Sep 12 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1
- revive configure option --enable-pdf-docs

* Fri Aug 21 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-2m)
- disable parallel make, make -j16 fails

* Fri Aug 21 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- version 1.0.0
- remove --enable-pdf-docs from configure for the moment
- update desktop.patch

* Sat Jun  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-3m)
- rebuild against libofx-0.9.1
- remove BuildPreReq: kbanking-devel

* Sat Mar  7 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-2m)
- explicit --enable-sqlite3

* Thu Feb 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.3-1m)
- version 0.9.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-2m)
- rebuild against rpm-4.6

* Sat Sep 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- version 0.9.2
- update desktop.patch
- import missing kmm_ofximport.rc from cvs

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-2m)
- rebuild against openssl-0.9.8h-1m

* Wed May 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-1m)
- update to 0.9

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.8-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.8-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.8-5m)
- move headers to %%{_includedir}/kde

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.8-4m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.8-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.8-2m)
- %%NoSource -> NoSource

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.8-1m)
- version 0.8.8
- License: GPLv2

* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-1m)
- version 0.8.7

* Mon Apr 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-2m)
- enable OFX support

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-1m)
- initial package for Momonga Linux
